const APP_NAME				= "Jump Link";
const APP_RECURRENT_ID		= "jumplink";
const APP_VERSION			= "1.3.2";
const APP_CHROME_NAME		= APP_RECURRENT_ID;
const APP_FILE 			= APP_RECURRENT_ID+".jar";
const APP_CONTENT_PATH		= "content/"+APP_RECURRENT_ID+"/";
//~ const APP_SKIN_CLASSIC_PATH	= "skin/classic/"+APP_RECURRENT_ID+"/";
const APP_LOCALE_ENUS_PATH	= "locale/en-US/"+APP_RECURRENT_ID+"/";
const APP_SUCCESS_MESSAGE	= APP_NAME+" "+APP_VERSION+" has been succesfully installed.\n"
const APP_SUCCESS_MESSAGE2	= "Please restart your browser to continue.";

const INST_TO_PROFILE 		= "Do you wish to install "+APP_NAME + ' ' + APP_VERSION +" to your profile?\n";
const INST_TO_PROFILE2 		= "This will mean it does not need reinstalling when you update your browser.\n";
const INST_TO_PROFILE3 		= "(Click Cancel if you want "+APP_NAME+" installed in the application's directory.)";

var err = initInstall(APP_NAME, APP_CHROME_NAME, APP_VERSION); 

var instToProfile = (confirm(INST_TO_PROFILE+INST_TO_PROFILE2+INST_TO_PROFILE3));

var chromef = instToProfile ? getFolder("Profile", "chrome") : getFolder("chrome");
var err = addFile(APP_NAME, APP_VERSION, "chrome/" + APP_FILE, chromef, null);
if (err == SUCCESS) {
	var jar = getFolder(chromef, APP_FILE);
	if (instToProfile) {
		registerChrome(CONTENT | PROFILE_CHROME, jar, APP_CONTENT_PATH);
		registerChrome(LOCALE  | PROFILE_CHROME, jar, APP_LOCALE_ENUS_PATH);
		//~ registerChrome(SKIN    | PROFILE_CHROME, jar, APP_SKIN_CLASSIC_PATH);
	} else {
		registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_PATH);
		registerChrome(LOCALE  | DELAYED_CHROME, jar, APP_LOCALE_ENUS_PATH);
		//~ registerChrome(SKIN    | DELAYED_CHROME, jar, APP_SKIN_CLASSIC_PATH);
	}
	err = performInstall();
	// 999 means installing over the top of an old version (I think)
	if (err == SUCCESS || err==999) {
		alert(APP_SUCCESS_MESSAGE+APP_SUCCESS_MESSAGE2);
	} else {
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else {
	alert("Failed to create " + APP_FILE +"\n"
		+"Perhaps you don't have appropriate permissions? \n"
		+"(write access to the /chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}